[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.SetMapMode

Sets the mapping mode of an device context.

## Declaration

Source position: winapih.inc line 248

`public function TWidgetSet.SetMapMode(`
`DC: HDC;`
`fnMapMode: Integer`
`):Integer; virtual;`

## Arguments

`DC` |  | The device context.
`fnMapMode` |  | The new mapping mode.

## Function result

The old mapping mode.

## Description

The mapping mode specifies the correspondence between logical and physical units. Supported modes are:

MM_ANISOTROPIC
  Arbitrary mapping
MM_HIENGLISH
  0.001 inch
MM_HIMETRIC
  0.01 mm
MM_ISOTROPIC
  Arbitrary mapping, same for X and Y axis
MM_LOENGLISH
  0.01 inch
MM_LOMETRIC
  0.1 mm
MM_TEXT
  1 device pixel
MM_TWIPS
  1/20th point (twip, 1/1440 inch)

Positive X is right, except for (an)isotropic mappings. Positive Y is up, except for (an)isotropic and MM_TEXT mappings.

## See also

TWidgetSet.GetMapMode |  | Returns the mapping mode of a device context.